#include <iostream>
using namespace std;
void inserir(float v[], int &q, float n, int max);
void listar(float v[], int q);
int buscar(float v[], int q, float n);
void remover(float v[], int &q, float n);
main() {
    // Estrutura de Dados (Lista de Notas)
    float notas[10];
    int quantidade=0;
    int pos;
    float nota;

    do {
        cout << "Digite a nota: ";
        cin >> nota;
        if (nota != 0) inserir(notas, quantidade, nota, 10);
    } while( nota != 0);
    listar(notas, quantidade);

    cout << "Digite valor a buscar: ";
    cin >> nota;
    pos = buscar(notas, quantidade, nota);
    if (pos >= 0)
        cout << "Valor encontrado na posicao " << pos << endl;
    else cout << "Valor nao encontrado!" << endl;

    cout << "Digite valor a remover: ";
    cin >> nota;
    remover(notas, quantidade, nota);
    listar(notas, quantidade);
}

void remover(float v[], int &q, float n) {
    int pos;
    if (q == 0) {
        cout << "ERRO: Lista vazia!" << endl;
        return;
    }
    pos = buscar(v,q,n);
    if (pos < 0) {
        cout << "ERRO: Valor inexistente!" << endl;
        return;
    }
    v[pos] = v[q-1];
    q--;
}

// Identifica a posio em que um valor ocorre na lista
int buscar(float v[], int q, float n) {
    for (int i=0; i<q; i++) {
        if (v[i] == n) return i;
    }
    return -1;
}

// Funo que imprime todos os elementos da lista
void listar(float v[], int q) {
    for (int i=0; i<q; i++) {
        cout << v[i] << endl;
    }
}

// Funo que insere N na posio Q da lista V[MAX]
void inserir(float v[], int &q, float n, int max)
{
    if (q < max) {
        v[q] = n;
        q++;
    }
    else {
        cout << "ERRO: Lista cheia!" << endl;
    }
}
