#include <iostream>
using namespace std;
void inserir(long v[], int &q, long n, int max);
void listar(long v[], int q);
int buscar(long v[], int q, long n);
void remover(long v[], int &q, long n);
void inserirSemRepetir(long v[], long valor, int &pos, int max);

main() {
    // Estrutura de Dados (Lista de Notas)
    long telefones[50];
    int qtelefones=0;
    long tels[50]
    int qtels=0;

    long telefone;

    do {
        cout << "Digite um telefone: ";
        cin >> telefone;
        if (telefone > 9999999) inserirSemRepetir(telefones,telefone,qtelefones,50);
    } while (telefone > 9999999);

    listar(telefones,qtelefones);
    copia(telefones,qtelefones,tels,qtels,50);
}

void copia(long v1[], int n1, long v2[], int &n2, max) {
    n2 = 0;
    for (int i=0; i<n1; i++) {
        //if(v1[i] <= 99999999) {
        //        v2[n2] = v1[i];
        //        n2++;
        //}
        if(v1[i] <= 99999999) inserir(v2,n2,v1[i],max);
    }
}

void inserirSemRepetir(long v[], long valor, int &pos, int max) {
    int p;
    p = buscar(v,pos,valor);
    if (p == -1) inserir(v,pos,valor,max);
}


void remover(long v[], int &q, long n) {
    int pos;
    if (q == 0) {
        cout << "ERRO: Lista vazia!" << endl;
        return;
    }
    pos = buscar(v,q,n);
    if (pos < 0) {
        cout << "ERRO: Valor inexistente!" << endl;
        return;
    }
    v[pos] = v[q-1];
    q--;
}

// Identifica a posio em que um valor ocorre na lista
int buscar(long v[], int q, long n) {
    for (int i=0; i<q; i++) {
        if (v[i] == n) return i;
    }
    return -1;
}

// Funo que imprime todos os elementos da lista
void listar(long v[], int q) {
    for (int i=0; i<q; i++) {
        cout << v[i] << endl;
    }
}

// Funo que insere N na posio Q da lista V[MAX]
void inserir(long v[], int &q, long n, int max)
{
    if (q < max) {
        v[q] = n;
        q++;
    }
    else {
        cout << "ERRO: Lista cheia!" << endl;
    }
}
