#include <iostream>
using namespace std;
void inserir(int v[], int &q, int n, int max);
void listar(int v[], int q);
int buscar(int v[], int q, int n);
void remover(int v[], int &q, int n);
void inserirSemRepetir(int v[], int valor, int &pos, int max);

main() {
    // Estrutura de Dados (Lista de Notas)
    int valores[50];
    int qvalores=0;
    int valor;

    do {
        cout << "Digite um valor: ";
        cin >> valor;
        if (valor >=0) inserirSemRepetir(valores,valor,qvalores,50);
    } while (valor >= 0);

    listar(valores,qvalores);
}

void inserirSemRepetir(int v[], int valor, int &pos, int max) {
    int p;
    p = buscar(v,pos,valor);
    if (p == -1) inserir(v,pos,valor,max);
}


void remover(int v[], int &q, int n) {
    int pos;
    if (q == 0) {
        cout << "ERRO: Lista vazia!" << endl;
        return;
    }
    pos = buscar(v,q,n);
    if (pos < 0) {
        cout << "ERRO: Valor inexistente!" << endl;
        return;
    }
    v[pos] = v[q-1];
    q--;
}

// Identifica a posio em que um valor ocorre na lista
int buscar(int v[], int q, int n) {
    for (int i=0; i<q; i++) {
        if (v[i] == n) return i;
    }
    return -1;
}

// Funo que imprime todos os elementos da lista
void listar(int v[], int q) {
    for (int i=0; i<q; i++) {
        cout << v[i] << endl;
    }
}

// Funo que insere N na posio Q da lista V[MAX]
void inserir(int v[], int &q, int n, int max)
{
    if (q < max) {
        v[q] = n;
        q++;
    }
    else {
        cout << "ERRO: Lista cheia!" << endl;
    }
}
